application:setBackgroundColor(0x000000)

local logo = Bitmap.new(Texture.new("Gideros.png"))

logo:setScale(0.5, 0.5) --scale image down to 64 * 64
logo:setAnchorPoint(0.5, 0.5) -- nchor at center

local centerX = application:getContentWidth() / 2 --center of screen x
local centerY = application:getContentHeight() / 2 --center of screen y
local rotationRadius = 160 --radius to rotate around
local radius = rotationRadius - logo:getWidth() / 2 --radius = rotation radius minus bitmap radius
local speed = 4 / rotationRadius --speed relative to the rotation radius
local angle = 0 --initial angle
local posX = centerX + radius --x position
local posY = centerY --y position

logo:setPosition(posX, posY); 

stage:addChild(logo)
	
function update()

	angle = angle + speed
	posX = centerX + radius * math.cos(angle)
	posY = centerY + radius * -math.sin(angle)
	logo:setPosition(posX, posY)
	
end

stage:addEventListener(Event.ENTER_FRAME, update)